/***************************************************************************
 *            audio.h
 *
 *  Mon Dec 27 10:36:21 2004
 *  Copyright  2004  Simon Newton
 *  newtons@iinet.net
 ****************************************************************************/

/*
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#ifndef _AUDIO_H
#define _AUDIO_H

#include "support.h" 



#ifdef __cplusplus
extern "C"
{
#endif

typedef enum {
	AUDIO_NONE,
	AUDIO_BEAT,
	AUDIO_SLOW,
	AUDIO_TRANS
} audio_events ;

/*
 * Returns the number of samples per second
 */
int audio_window_get_samples_per_second() ;


/*
 * New audio window, call once
 *
 */
GtkWidget* audio_window_create (void) ;


/*
 * Set the audio event callback
 */ 
int audio_window_set_callback(void (*fh)(audio_events event, void *data), void *data) ;


void audio_window_update(gpointer widget, gint source,  GdkInputCondition con) ;


	
#ifdef __cplusplus
}
#endif

#endif /* _AUDIO_H */
